| Cantera 3.0.0

Loading...
Searching...
No Matches
Namespaces | Functions
BandMatrix.cpp File Reference

Banded matrices. More...

`#include "cantera/numerics/BandMatrix.h"`
`#include "cantera/base/utilities.h"`
`#include "cantera/base/stringUtils.h"`
`#include "sunlinsol/sunlinsol_band.h"`
`#include <cstring>`
`#include <fstream>`
Include dependency graph for BandMatrix.cpp:

## Detailed Description

Banded matrices.

Definition in file BandMatrix.cpp.

Go to the source code of this file.

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Functions
ostream & | operator<< (std::ostream &s, const BandMatrix &m)
| Utility routine to print out the matrix.